Skip to main content
GET
/
search
Search events or markets
curl --request GET \
  --url https://api.agg.market/search \
  --header 'x-app-id: <api-key>'
{
  "type": "events",
  "data": [
    {
      "id": "<string>",
      "externalIdentifier": "<string>",
      "title": "<string>",
      "image": "<string>",
      "venue": "kalshi",
      "categories": [
        {
          "id": "<string>",
          "category": {
            "id": "<string>",
            "name": "<string>",
            "parentId": "<string>",
            "eventCount": 123
          }
        }
      ],
      "description": "<string>",
      "volume": 1,
      "status": "open",
      "startDate": "<string>",
      "endDate": "<string>",
      "creationDate": "<string>",
      "slug": "<string>",
      "subtitle": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Query Parameters

q
string
required
Minimum string length: 1
type
enum<string>
required
Available options:
events,
markets
categoryIds
limit
number
Required range: 1 <= x <= 100
cursor
string

Response

200

type
enum<string>
required
Available options:
events
data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required